See https://github.com/ungoogled-software/ungoogled-chromium/pull/2954#issuecomment-2242767534

# https://chromium-review.googlesource.com/c/chromium/src/+/5641516
--- a/chrome/browser/ui/views/side_panel/BUILD.gn
+++ b/chrome/browser/ui/views/side_panel/BUILD.gn
@@ -201,5 +201,13 @@
     "//ui/gfx:color_utils",
     "//ui/gfx/geometry:geometry_skia",
     "//ui/webui",
+
+    # TODO(crbug.com/346711540,crbug.com/346699817,crbug.com/345645751):
+    # Use //chrome/browser/ui instead after fixing cyclic dependency.
+    "//chrome/browser/ui:webui_name_variants",
+    "//components/enterprise/buildflags",
+    "//components/paint_preview/buildflags",
+    "//components/segmentation_platform/public/proto",
+    "//components/webapps/common:mojo_bindings",
   ]
 }
# https://chromium-review.googlesource.com/c/chromium/src/+/5646245
--- a/chrome/browser/ui/BUILD.gn
+++ b/chrome/browser/ui/BUILD.gn
@@ -6436,7 +6436,6 @@
     }
 
     deps += [
-      ":webui_name_variants",
       "side_search:side_search_tab_data_proto",
       "//base",
       "//chrome/browser:main_extra_parts",
@@ -6495,7 +6494,10 @@
       "//ui/lottie",
       "//ui/views:buildflags",
     ]
-    public_deps += [ "//ui/base/dragdrop/mojom:mojom_headers" ]
+    public_deps += [
+      ":webui_name_variants",
+      "//ui/base/dragdrop/mojom:mojom_headers",
+    ]
 
     allow_circular_includes_from += [ "//chrome/browser/ui/views" ]
 
# https://chromium-review.googlesource.com/c/chromium/src/+/5647662
--- a/chrome/browser/ui/BUILD.gn
+++ b/chrome/browser/ui/BUILD.gn
@@ -415,8 +415,10 @@
     "//chrome/browser/ui/tabs:tab_enums",
     "//components/cross_device/logging",
     "//components/dom_distiller/core",
+    "//components/enterprise/buildflags",
     "//components/paint_preview/buildflags",
     "//components/safe_browsing:buildflags",
+    "//components/segmentation_platform/public",
     "//components/sync",
     "//components/sync_user_events",
     "//components/translate/content/browser",
@@ -533,7 +535,6 @@
     "//components/embedder_support:browser_util",
     "//components/encrypted_messages:encrypted_message_proto",
     "//components/enterprise",
-    "//components/enterprise/buildflags:buildflags",
     "//components/error_page/content/browser",
     "//components/facilitated_payments/core/features",
     "//components/favicon/content",
@@ -644,7 +645,6 @@
     "//components/security_interstitials/core:unsafe_resource",
     "//components/security_state/content",
     "//components/security_state/core",
-    "//components/segmentation_platform/public",
     "//components/send_tab_to_self",
     "//components/sessions",
     "//components/sharing_message",
@@ -2119,7 +2119,6 @@
       "//components/omnibox/browser:mojo_bindings",
       "//components/page_load_metrics/browser",
       "//components/paint_preview/browser",
-      "//components/paint_preview/buildflags",
       "//components/paint_preview/common",
       "//components/paint_preview/public",
       "//components/password_manager/content/common",
# https://chromium-review.googlesource.com/c/chromium/src/+/5644627
--- a/chrome/browser/ui/views/side_panel/BUILD.gn
+++ b/chrome/browser/ui/views/side_panel/BUILD.gn
@@ -202,12 +202,24 @@
     "//ui/gfx/geometry:geometry_skia",
     "//ui/webui",
 
-    # TODO(crbug.com/346711540,crbug.com/346699817,crbug.com/345645751):
+    # TODO(crbug.com/345645751): Use //chrome/browser instead after fixing cyclic dependency.
+    "//components/enterprise/common/proto:connectors_proto",
+
+    # TODO(crbug.com/346711540,crbug.com/346699817,crbug.com/345645751,
+    #      crbug.com/346694160,crbug.com/346709958,crbug.com/346707816):
     # Use //chrome/browser/ui instead after fixing cyclic dependency.
+    "//chrome/browser/cart:mojo_bindings",
+    "//chrome/browser/companion/visual_query",
     "//chrome/browser/ui:webui_name_variants",
+    "//chrome/browser/ui/webui/side_panel/bookmarks:mojo_bindings",
+    "//chrome/browser/ui/webui/side_panel/customize_chrome:mojo_bindings",
+    "//chrome/browser/ui/webui/side_panel/reading_list:mojo_bindings",
     "//components/enterprise/buildflags",
+    "//components/page_image_service/mojom:mojo_bindings",
     "//components/paint_preview/buildflags",
     "//components/segmentation_platform/public/proto",
+    "//components/user_education/webui",
     "//components/webapps/common:mojo_bindings",
+    "//ui/webui/resources/cr_components/commerce:mojo_bindings",
   ]
 }
